curl --request POST \
--url 'https://api.stateset.com/api/v1/revenue-contracts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"contract_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"effective_date": "2026-08-31T14:22:05Z",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"obligations": [
{
"allocated_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"end": "string",
"recognition_method": "string",
"standalone_selling_price": "49.00",
"start": "string"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"transaction_price": "49.00"
}'
{
"contract_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deferred_balance": "49.00",
"effective_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"obligations": [
{
"allocated_amount": "49.00",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deferred_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recognition_method": "string",
"recognized_amount": "49.00"
}
],
"status": "pending",
"total_recognized": "string",
"transaction_price": "49.00"
}
Create a contract
Create a contract
POST
/
api
/
v1
/
revenue-contracts
curl --request POST \
--url 'https://api.stateset.com/api/v1/revenue-contracts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"contract_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"effective_date": "2026-08-31T14:22:05Z",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"obligations": [
{
"allocated_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"end": "string",
"recognition_method": "string",
"standalone_selling_price": "49.00",
"start": "string"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"transaction_price": "49.00"
}'
{
"contract_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deferred_balance": "49.00",
"effective_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"obligations": [
{
"allocated_amount": "49.00",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deferred_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recognition_method": "string",
"recognized_amount": "49.00"
}
],
"status": "pending",
"total_recognized": "string",
"transaction_price": "49.00"
}
Request body
CreateRevenueContractRequest
string,null
string
required
string
required
ISO date (
YYYY-MM-DD).string,null
CreateObligationRequest[]
required
string,null
string
required
Decimal transaction price as a string.
Response
RevenueContractResponse
string
required
string
required
string
required
string
required
string
required
string
required
string
required
PerformanceObligationResponse[]
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/revenue-contracts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"contract_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"effective_date": "2026-08-31T14:22:05Z",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"obligations": [
{
"allocated_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"end": "string",
"recognition_method": "string",
"standalone_selling_price": "49.00",
"start": "string"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"transaction_price": "49.00"
}'
{
"contract_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deferred_balance": "49.00",
"effective_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"obligations": [
{
"allocated_amount": "49.00",
"contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deferred_amount": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"recognition_method": "string",
"recognized_amount": "49.00"
}
],
"status": "pending",
"total_recognized": "string",
"transaction_price": "49.00"
}
Last modified on August 31, 2026